Bug 597420 - ssh-askpass missing from release
ssh-askpass missing from release
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Dennis Gregorovic
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-28 17:28 EDT by Quentin Barnes
Modified: 2010-11-11 11:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:28:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Quentin Barnes 2010-05-28 17:28:26 EDT
Description of problem:
I have ssh-add in my .xsession.  During login I am not prompted for
my ssh password and don't get my keyring added to the ssh-agent.
I see the same error messages below also in my ~/.xsession-errors file.

The binary /usr/libexec/openssh/ssh-askpass is missing from the
system.  I think it is because the "openssh-askpass-*" RPM is missing
from the x86_64 distribution.  The openssh-askpass RPM is still mentioned
on page 114 of the RHEL6 Deployment Guide so it should still be there,
right?

Version-Release number of selected component (if applicable):
openssh-clients-5.3p1-12.1.el6.x86_64

How reproducible:
100%


Steps to Reproduce:
1. ssh-add < /dev/null
2.
3.
  
Actual results:
$ ssh-add < /dev/null
ssh_askpass: exec(/usr/libexec/openssh/ssh-askpass): No such file or directory
ssh_askpass: exec(/usr/libexec/openssh/ssh-askpass): No such file or directory
ssh_askpass: exec(/usr/libexec/openssh/ssh-askpass): No such file or directory

Expected results:
An X window opens and prompts me for my password.


Additional info:
Comment 2 Quentin Barnes 2010-05-28 21:43:45 EDT
This problem may be related to Bug #593573.  Could ssh-askpass package have gotten left off the build mirror used to create the RHEL6 Beta ISO image?
Comment 3 Bill Nottingham 2010-06-02 11:53:35 EDT
This was changed post-beta1.
Comment 4 Quentin Barnes 2010-06-03 13:47:36 EDT
I'm not sure what you mean by that it was changed.  Changed how?

Assuming there isn't some package reorg going on behind the scenes, I see two issues to the problem here.  One issue is that openssh-askpass got left off the DVD.  The other is that the openssh-clients package does not have an expressed dependency on the openssh-askpass package.  Has both been addressed?
Comment 5 Bill Nottingham 2010-06-03 13:53:23 EDT
The comps file was changed such that askpass is pulled in in certain situations.
Comment 6 RHEL Product and Program Management 2010-06-07 11:54:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 8 Alexander Todorov 2010-07-05 05:21:56 EDT
With the 0701.3 tree:

# find -name "openssh-askpass*" | sort
./Client/i386/os/Packages/openssh-askpass-5.3p1-18.el6.i686.rpm
./Client/x86_64/os/Packages/openssh-askpass-5.3p1-18.el6.x86_64.rpm
./ComputeNode/optional/x86_64/os/Packages/openssh-askpass-5.3p1-18.el6.x86_64.rpm
./Server/i386/os/Packages/openssh-askpass-5.3p1-18.el6.i686.rpm
./Server/ppc64/os/Packages/openssh-askpass-5.3p1-18.el6.ppc64.rpm
./Server/s390x/os/Packages/openssh-askpass-5.3p1-18.el6.s390x.rpm
./Server/x86_64/os/Packages/openssh-askpass-5.3p1-18.el6.x86_64.rpm
./WebServer/optional/x86_64/os/Packages/openssh-askpass-5.3p1-18.el6.x86_64.rpm
./Workstation/i386/os/Packages/openssh-askpass-5.3p1-18.el6.i686.rpm
./Workstation/x86_64/os/Packages/openssh-askpass-5.3p1-18.el6.x86_64.rpm

The openssh-askpass package is present for all variants. For ComputeNode it is in optional for the rest it is in the base repository. Moving to VERIFIED.
Comment 9 releng-rhel@redhat.com 2010-11-11 11:28:11 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.